#include "dcdialog.ch"
#include "appevent.ch"
#include "xbp.ch"

#pragma library( "ascom10.lib" )        // the active X library for Xbase++

*************************************************
function MAIN

Local oEasyIntegrator, ret_val:=.f., GetList[0], GetOptions
local SetupString:='',nVar:=1
local trans
local oCustfields
local oCustomer
local StringSavedCustomerRef:=''

SetupString:=GetCIPsetup(nVar)

@ 0,0 DCACTIVEXCONTROL oEasyIntegrator SIZE 400,400 PIXEL ;
         CLSID "cipwin32.EasyIntegrator" ;
         RESIZE DCGUI_RESIZE_RESIZEONLY

DCGETOPTIONS RESIZE

DCREAD GUI  EVAL {||InitControl(oEasyIntegrator,SetupString)} FIT ADDBUTTONS TITLE 'Easy Integrator' OPTIONS GetOptions

RETURN nil

*************************************************************
FUNCTION InitControl( oEasyIntegrator,SetupString )

LOCAL trans, oCustomer, oCustfields, StringSavedCustomerRef, cip_id:='0'

oEasyIntegrator:LoadSetup(SetupString)
trans := oEasyIntegrator:getProperty('TransFields')
oCustomer := oEasyIntegrator:getProperty('Customer')
oCustfields := oCustomer:getProperty('CustomerFields')
oEasyIntegrator:Customer:CustomerFields:Clear()
oCustfields:FirstName := 'G.C.'
oCustfields:LastName := 'Maxwell'
oCustfields:Company := '4 EQNS, INC'
oCustomer:UpdatePayments(cip_id)
StringSavedCustomerRef = oEasyIntegrator:Customer:CustomerRef
cip_id := StringSavedCustomerRef

RETURN nil

************************************************************************
function GetCIPsetup()
    #include "fileio.ch"
    local n:=0
    local nHandle, m_File, CIPsetup:=space(4000), nBytes:=0

    m_file := 'CIPsetup.xml'
    if file(m_File)
        nHandle:=FOPEN(m_File,FO_READ)
        if ferror() !=0
           msgbox('File Open Error '+cVar)
        else
       nBytes:=fread(nHandle,@CIPsetup,4000)
            fclose(nHandle)
        endif
        CIPsetup:=trim(CIPsetup)
    endif

return CIPsetup
*******************************************************************